Msp License
7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| assignAvailableLicenseForMsp | GET | Get available assign license info |
| assignmentLicenseForMsp | POST | Assign license to a customer |
| getAutoActive_2 | GET | Get license auto active |
| modifyAutoActive_1 | POST | Modify license auto active |
| getAutoActive_1 | GET | Get available recycle license info |
| recycleLicenseForMsp | POST | Recycle license from a customer |
| getUsedLicenseForMsp | GET | Get used license info list for assign or recycle license |
assignAvailableLicenseForMsp
GET /openapi/v1/msp/{mspId}/license/assign
Get available assign license info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "assignAvailableLicenseForMsp"
}Details, permissions and error codes
Get available assign license info.
The interface requires one of the permissions:
MSP License Manager View Only
assignmentLicenseForMsp
POST /openapi/v1/msp/{mspId}/license/assign
Assign license to a customer
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema LicenseAssignmentOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
customerId | string | yes | Customer ID |
licenseNum | array<LicenseNumOpenApiVO> | yes | License num |
others | LicenseOthersIdsOpenApiVO | yes | (LicenseOthersIdsOpenApiVO not expanded; call omada_get_schema "LicenseOthersIdsOpenApiVO") |
// omada_call_operation
{
"operationId": "assignmentLicenseForMsp",
"body": "{...}"
}Details, permissions and error codes
Assign license to a customer.
The interface requires one of the permissions:
MSP License Manager Modify
getAutoActive_2
GET /openapi/v1/msp/{mspId}/license/auto-active
Get license auto active
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getAutoActive_2"
}Details, permissions and error codes
Get license auto active.
The interface requires one of the permissions:
MSP License Manager View Only
modifyAutoActive_1
POST /openapi/v1/msp/{mspId}/license/auto-active
Modify license auto active
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema LicenseAutoActiveOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
autoActive | boolean | yes |
// omada_call_operation
{
"operationId": "modifyAutoActive_1",
"body": "{...}"
}Details, permissions and error codes
Modify license auto active.
The interface requires one of the permissions:
MSP Bind/Unbind License Manager Modify
getAutoActive_1
GET /openapi/v1/msp/{mspId}/license/recycle
Get available recycle license info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | query | string | yes | Customer ID |
// omada_call_operation
{
"operationId": "getAutoActive_1",
"params": {
"customerId": "<customerId>"
}
}Details, permissions and error codes
Get available recycle license info.
The interface requires one of the permissions:
MSP License Manager View Only
recycleLicenseForMsp
POST /openapi/v1/msp/{mspId}/license/recycle
Recycle license from a customer
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema LicenseRecycleOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
customerId | string | yes | Customer ID |
licenseNum | array<LicenseNumOpenApiVO> | yes | License num |
others | LicenseOthersIdsOpenApiVO | yes | (LicenseOthersIdsOpenApiVO not expanded; call omada_get_schema "LicenseOthersIdsOpenApiVO") |
// omada_call_operation
{
"operationId": "recycleLicenseForMsp",
"body": "{...}"
}Details, permissions and error codes
Recycle license from a customer.
The interface requires one of the permissions:
MSP License Manager Modify
getUsedLicenseForMsp
GET /openapi/v1/msp/{mspId}/license/used
Get used license info list for assign or recycle license
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | query | string | yes | Customer ID |
category | query | string | yes | It should be a value as follows: basic; ap; l2Switch; l3Switch; gateway |
assign | query | boolean | yes | Assign license: true; recycle license: false |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getUsedLicenseForMsp",
"params": {
"customerId": "<customerId>",
"category": "<category>",
"assign": "<assign>"
}
}Details, permissions and error codes
Get used license info list for assign or recycle license.
The interface requires one of the permissions:
MSP License Manager View Only